Subject: Re: Objc and DLLs
From: [email-masked] (Steve Biskis)

30 Jun 1998 04:53:04 -0700
Message-ID: <[email-masked]>
Reply-To: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
To: <[email-masked]>,
        "Robert Munro" <[email-masked]>
Cc: <[email-masked]>

Sorry, I took so long - didn't notice your email in my mess .

You must 1st initialize the ObjC runtime before attempting to use it.  

Add this line:

__main(); //  ObjC/C++ runtime initialization ...

BEFORE any Objective-C usage .

da bisk

----------
> From: Ronald Pijnacker <[email-masked]>
> To: Robert Munro <[email-masked]>
> Cc: cygwin <[email-masked]>
> Subject: Re: Objc and DLLs
> Date: Monday, June 08, 1998 12:41 AM
> 
> > Hi all, I have been trying to create an objective C dll using cygwin
B19
> > and egcs 1.0.2 and here's the problem.  After many attempts, the
library
> > finally links (apparently okay) and I create a library for it.  I try
to
> > compile a test prog against the library and it compiles just fine.  I
call
> > a function, no problem.  However when I get to the line :
> > 
> > thisObject = [[myObject alloc] init];
> > 
> > it blows up.  I get a STATUS_ACCESS_VIOLATIOn exception and then it
exits.
> > Dunno what's going on here at all, so maybe you guys could help me out.
> > Running with GDB, I get this when it crashes:
> > 
> > --start debug
> ...
> > --end of debug 
> > 
> > Thanks for any help you guys could give...
> 
> Hi,
> 
> I have been trying to do the same thing some time ago, also without
> luck. Just as you have, I have been able to create a .dll (with the
> corresponding .a file for linking). Running a simple test program did
> not crash in my case, but the classes that were defined in the .dll
> were not available, as I got the message:
> 
> objc runtime: cannot find class X
> 
> Have you also had this problem?
> 
> Ronald Pijnacker
> [email-masked]
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".